Delete an app role
curl --request DELETE \
--url https://api.example.com/api/app/{app_id}/roles/{role_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/app/{app_id}/roles/{role_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/app/{app_id}/roles/{role_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}App manager
Delete an app role
Deletes an app role.
Only users with the nx1_app_manager role can do this.
DELETE
/
api
/
app
/
{app_id}
/
roles
/
{role_id}
Delete an app role
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID of the app.
Unique ID of the app role.
Was this page helpful?
⌘I

